﻿function jsPageIni() {
    /*
    $("h2").bind('click', function (e) {
        $(this).parent().find('LI').hide(200); // Ul LI
    });
    */
}


function jsHide(strObj, intTime) {
    $(strObj).hide(intTime); return false;
}

// 隱藏或顯示物件
function jsShowHide(strObj, intTime) {
    $(strObj).toggle(intTime);  return false;
}



/* ────────────────────
    【送出功能】
────────────────────*/
function post_to_url(path, params, method, Target) {

    // 使用方法  post_to_url('http://example.com/', {'q':'a'},'post','_blank');

    method = method || "post";      // Set method to post by default, if not specified.
    Target = Target || "_blank";    // Set Target to post by default, if not specified.

    // The rest of this code assumes you are not using a library.
    // It can be made less wordy if you use one.
    var form = document.createElement("form");
    form.setAttribute("method", method);
    form.setAttribute("action", path);
    form.setAttribute("target", Target);  //target = "_blank"

    for (var key in params) {
        var hiddenField = document.createElement("input");
        hiddenField.setAttribute("type", "hidden");
        hiddenField.setAttribute("name", key);
        hiddenField.setAttribute("value", params[key]);

        form.appendChild(hiddenField);
    }

    document.body.appendChild(form);    // Not entirely sure if this is necessary
    form.submit();
}


/*
────────────────────
【資料格式化】
────────────────────
*/

/* NUMber format */
function formatNumber(number, pattern) {
    
    //alert(formatNumber(0,''));
    //alert(formatNumber(12432.21,'#,###'));
    //alert(formatNumber(12432.21,'#,###.000#'));
    //alert(formatNumber(12432,'#,###.00'));
    //alert(formatNumber('12432.415','#,###.0#'));
    //alert(formatNumber('12345','000000'));

    var str = number.toString();
    var strInt;
    var strFloat;
    var formatInt;
    var formatFloat;
    if (/\./g.test(pattern)) {
        formatInt = pattern.split('.')[0];
        formatFloat = pattern.split('.')[1];
    } else {
        formatInt = pattern;
        formatFloat = null;
    }

    if (/\./g.test(str)) {
        if (formatFloat != null) {
            var tempFloat = Math.round(parseFloat('0.' + str.split('.')[1]) * Math.pow(10, formatFloat.length)) / Math.pow(10, formatFloat.length);
            strInt = (Math.floor(number) + Math.floor(tempFloat)).toString();
            strFloat = /\./g.test(tempFloat.toString()) ? tempFloat.toString().split('.')[1] : '0';
        } else {
            strInt = Math.round(number).toString();
            strFloat = '0';
        }
    } else {
        strInt = str;
        strFloat = '0';
    }
    if (formatInt != null) {
        var outputInt = '';
        var zero = formatInt.match(/0*$/)[0].length;
        var comma = null;
        if (/,/g.test(formatInt)) {
            comma = formatInt.match(/,[^,]*/)[0].length - 1;
        }
        var newReg = new RegExp('(\\d{' + comma + '})', 'g');

        if (strInt.length < zero) {
            outputInt = new Array(zero + 1).join('0') + strInt;
            outputInt = outputInt.substr(outputInt.length - zero, zero)
        } else {
            outputInt = strInt;
        }

        var
        outputInt = outputInt.substr(0, outputInt.length % comma) + outputInt.substring(outputInt.length % comma).replace(newReg, (comma != null ? ',' : '') + '$1')
        outputInt = outputInt.replace(/^,/, '');

        strInt = outputInt;
    }

    if (formatFloat != null) {
        var outputFloat = '';
        var zero = formatFloat.match(/^0*/)[0].length;

        if (strFloat.length < zero) {
            outputFloat = strFloat + new Array(zero + 1).join('0');
            //outputFloat = outputFloat.substring(0,formatFloat.length);
            var outputFloat1 = outputFloat.substring(0, zero);
            var outputFloat2 = outputFloat.substring(zero, formatFloat.length);
            outputFloat = outputFloat1 + outputFloat2.replace(/0*$/, '');
        } else {
            outputFloat = strFloat.substring(0, formatFloat.length);
        }

        strFloat = outputFloat;
    } else {
        if (pattern != '' || (pattern == '' && strFloat == '0')) {
            strFloat = '';
        }
    }

    return strInt + (strFloat == '' ? '' : '.' + strFloat);


}




/*
────────────────────
【 資料驗證】
────────────────────
*/

function ValidateNumber(e, pnumber) {
    if (!/^\d+$/.test(pnumber)) {
        var newValue = /^\d+/.exec(e.value);
        if (newValue != null) {
            e.value = newValue;
        }
        else {
            e.value = "";
        }
    }
    return false;
}

function ValidateFloat(e, pnumber) {
    if (!/^\d+[.]?\d*$/.test(pnumber)) {
        var newValue = /^\d+[.]?\d*/.exec(e.value);
        if (newValue != null) {
            e.value = newValue;
        }
        else {
            e.value = "";
        }
    }
    return false;
}

function ValidateTel(e, pnumber) {
    /*
    /^(\((0([2-9]){1,4})\))?(\s)?(([2-9]){1}[0-9]{5,7}){1}(\s)?(\#(\s)?[0-9]{1,8})?$/
    */

    var a = /^0+[0-9\x2D]*$/.test(pnumber);
    //alert(a);
    if (!a) {
        var newValue = /^0+[0-9\x2D]*/.exec(e.value);
        if (newValue != null) e.value = newValue;
        else e.value = "";
    }
    return false;
}


function ValidateLoginPWD(pnumber) {

    // 長度6,同時至少有一個數字，及一個大寫及小寫英文
    var a = /^(?=^.{6,30}$)((?=.*[0-9a-zA-Z])(?=.\w)(?=.*[A-Z])(?=.*[a-z])(?=.*[0-9]))^.*$/.test(pnumber);

    ///^(=^{6}$)((=*[A-ZA-Z0-9])(=*[AZ])(=.*[AZ]))^*$/

    /*
    alert(a);
    */
    if (a) { return true; }  else { return false;   }
}

function ValidateEMAIL(e, pnumber) {

    //var a = /^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z]+$/.test(pnumber);
    var a = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/.test(pnumber);
    if (!a) {
        var newValue = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+/.exec(e.value);
        if (newValue != null) e.value = newValue;
        else e.value = "";
    }
    return false;
}

function ValidateTeldefault(e, pnumber) {
    var a = /^\d+[-]?\d*$/.test(pnumber);
    alert(a);
    if (!a) {
        var newValue = /^\d+[-]*\d*/.exec(e.value);
        alert(newValue);
        if (newValue != null) {
            e.value = newValue;
        }
        else {
            e.value = "";
        }
    }
    return false;
}

function ValidateFloat2(e, pnumber) {
    if (!/^\d+[.]?[1-9]?$/.test(pnumber)) {
        var newValue = /\d+[.]?[1-9]?/.exec(e.value);
        if (newValue != null) {
            e.value = newValue;
        }
        else {
            e.value = "";
        }
    }

    return false;
}

function pfnjChkEmail(EMailStr) {
    var compareString;

    iFlag = EMailStr.indexOf("@");
    if (iFlag == -1) {
        alert('E-mail 中無@﹐不符規則!!');
        return (false);
    }

    if (EMailStr.substr(iFlag).indexOf('.') == -1) {
        alert('E-mail 不符合規則!!');
        return (false);
    }

    mailserverlength = EMailStr.length - iFlag;

    RefString = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890._-";

    for (Count = 0; Count <= iFlag - 1; Count++) {
        compareString = EMailStr.substring(Count, Count + 1);

        if (RefString.indexOf(compareString, 0) == -1) {
            alert('E-mail 不得含特殊符號!!');
            return (false);
        }
    }

    for (Count = iFlag + 1; Count <= EMailStr.length; Count++) {
        compareString = EMailStr.substring(Count, Count + 1);

        if (RefString.indexOf(compareString, 0) == -1) {
            alert('E-mail 不得含特殊符號!!');
            return (false);
        }
    }
    return (true);
}

